import { apiResquest,apiResquestForm,apiResquestJsonList,apiResquestFormVideo,apiResquestTimer } from '@/api/request/request.js'

//实验室-列表-获取学院列表下拉列表
export const systemDeptDropList = (data) => {
	return apiResquest({
		url: `/system/dept/dropList`,
		method: 'POST',
		data: { ...data }
	})
};
//查询楼栋楼层
export const laboratoryBigViewGetBuildByBigView = (data) => {
	return apiResquest({
		url: `/laboratory/bigView/getBuildByBigView`,
		method: 'GET',
		data: data,
	})
};


/*根据校区/楼栋/楼层查询实验室列表
  deptId:'校区查询'
  buildId:'楼栋查询'
  floorId:'楼层查询'
*/
//实验室-列表
export const laboratorySubRelInfoGetListByFloor = (data) => {
	return apiResquest({
		url: `/laboratory/subRelInfo/getListByFloor`,
		method: 'POST',
		data: { ...data }
	})
};

//根据学院id查询实验室列表
export const laboratorySubRelInfoGetRelList = (data) => {
	return apiResquest({
		url: `/laboratory/subRelInfo/getRelList`,
		method: 'POST',
		data: { ...data }
	})
};





